### Method

# Foundry Template expand

#### Declaration [src]

    DexFuture*
    foundry_template_expand (
      FoundryTemplate* self
    )

#### Description [src]

Expands the template based on the input parameters provided to the template.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryTemplateOutput`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.